<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML>
<HEAD>
<meta name="GENERATOR" content="Microsoft&reg; HTML Help Workshop 4.1">
<Title>Pomocna dokumentacija</Title>
</HEAD>
<BODY>
<style>
body
{
	text-align: center;
	width: 70%;
	margin-left: 15%;
	border: 4px dashed green; 
}


#naslov
{
	text-align: center;
	color: dodgerblue;
	font-size: 70px;
}
#naslov2
{
	color: dodgerblue;
	font-size: 30px;

}
p
{
	color: black;
	margin-left: 20px;
	border: 1px solid dodgerblue;
	font-size: 20px;
}
div
{
	text-align: left;
	width: 80%;
	margin-left: 10%;
}
img
{
	width: 80%;
	margin-left: 2.5%;
}
hr
{
	border: 2px dashed green; 
}


</style>


<h1 id="naslov">Pomocna dokumentacija</h1>

<h2 id="naslov2"><b>1. Pregled svih Korisnika</b></2>

<div>
<p>Potrebno je otvoriti formu Korisnici koja se nalazi na Glavnoj formi. U okviru ListBox-a ce se prikazati svi Korisnici.</p>
</div>

<img src="IMAGES\Pregled Korisnika.jpg">

<h2 id="naslov2"><b>2. Kreiranje novog Korisnika</b></2>

<div>
<p>Potrebno je otvoriti formu Korisnici koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti Ime Korisnika, Prezime Korisnika, Adresu Korisnika i Telefon Korisnika. Nakon toga, potrebno je kliknuti na dugme "Unesi Korisnika". Kreirani Korisnik ce se prikazati u okviru ListBox-a sa leve strane. Napomena: Potrebno je proveriti da li Korisnik vec postoji, koriscenjem Pretrage.</p>
</div>

<img src="IMAGES\Kreiranje Korisnika.jpg">

<h2 id="naslov2"><b>3. Izmena podataka postojeceg Korisnika</b></2>

<div>
<p>Potrebno je otvoriti formu Korisnici koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Korisnika preuzeli i nakon toga izmenili sa desne strane u okviru forme. Nakon toga, potrebno je kliknuti na dugme "Izmeni Korisnika". Izmenjeni podaci Korisnika ce se prikazati u okviru ListBox-a sa leve strane.</p>
</div>

<img src="IMAGES\Izmena Korisnika.jpg">

<h2 id="naslov2"><b>4. Brisanje postojeceg Korisnika</b></2>

<div>
<p>Potrebno je otvoriti formu Korisnici koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Korisnika preuzeli. Nakon toga, potrebno je kliknuti na dugme "Izbrisi Korisnika".</p>
</div>

<img src="IMAGES\Brisanje Korisnika.jpg">

<h2 id="naslov2"><b>5. Pretraga Korisnika</b></2>

<div>
<p>Potrebno je otvoriti formu Korisnici koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti tekst/broj u odgovarajuci textBox. Nakon toga, potrebno je kliknuti na dugme "Pretrazi". Napomena: Parametri po kojima se moze izvrsiti Pretraga su ime Korisnika, prezime Korisnika ili ime i prezime Korisnika</p>
</div>

<img src="IMAGES\Pretraga Korisnika.jpg">

<hr>


<h2 id="naslov2"><b>1. Pregled svih Glumaca</b></2>

<div>
<p>Potrebno je otvoriti formu Glumci koja se nalazi na Glavnoj formi. U okviru ListBox-a ce se prikazati svi Glumci.</p>
</div>

<img src="IMAGES\Pregled Glumaca.jpg">

<h2 id="naslov2"><b>2. Kreiranje novog Glumca</b></2> 
<div>
<p>Potrebno je otvoriti formu Glumci koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti Ime Glumca, Prezime Glumca i Datum rodjenja. Ukoliko je Glumac dobio Oscar nagradu, potrebno je stiklirati dugme "Glumac je dobio Oscar". Nakon toga, potrebno je kliknuti na dugme "Unesi Glumca". Kreirani Glumac ce se prikazati u okviru ListBox-a sa leve strane. Napomena: Potrebno je proveriti da li Glumac vec postoji, koriscenjem Pretrage.</p>
</div> 

<img src="IMAGES\Kreiranje Glumca.jpg">

<h2 id="naslov2"><b>3. Izmena podataka postojeceg Glumca</b></2>

<div>
<p>Potrebno je otvoriti formu Glumci koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Glumca preuzeli i nakon toga izmenili sa desne strane u okviru forme. Nakon toga, potrebno je kliknuti na dugme "Izmeni Glumca". Izmenjeni podaci Glumca ce se prikazati u okviru ListBox-a sa leve strane.</p>
</div>

<img src="IMAGES\Izmena Glumca.jpg">

<h2 id="naslov2"><b>4. Brisanje postojeceg Glumca</b></2>

<div>
<p>Potrebno je otvoriti formu Glumci koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Glumca preuzeli. Nakon toga, potrebno je kliknuti na dugme "Izbrisi Glumca". Napomena: Nakon brisanja Glumca, svi Filmovi u kojima je glumio, polja Naziv Uloge i ime Glumca dobice naziv "Nije Uneto".</p>
</div>

<img src="IMAGES\Brisanje Glumca.jpg">

<h2 id="naslov2"><b>5. Pretraga Glumca</b></2>

<div>
<p>Potrebno je otvoriti formu Glumci koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti tekst/broj u odgovarajuci textBox. Nakon toga, potrebno je kliknuti na dugme "Pretrazi". Napomena: Parametri po kojima se moze izvrsiti Pretraga su ime Glumca, prezime Glumca, ime i prezime Glumca, datum rodjenja Glumca, po nagradi Oscar.</p>
</div>

<img src="IMAGES\Pretraga Glumca.jpg">

<hr>

<h2 id="naslov2"><b>1. Pregled svih Rezisera</b></2>

<div>
<p>Potrebno je otvoriti formu Reziseri koja se nalazi na Glavnoj formi. U okviru ListBox-a ce se prikazati svi Reziseri.</p>
</div>

<img src="IMAGES\Pregled Rezisera.jpg">

<h2 id="naslov2"><b>2. Kreiranje novog Rezisera</b></2>
 
<div>
<p>Potrebno je otvoriti formu Reziseri koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti Ime Rezisera, Prezime Rezisera i Datum rodjenja. Ukoliko je Reziser dobio Oscar nagradu, potrebno je stiklirati dugme "Reziser je dobio Oscar". Nakon toga, potrebno je kliknuti na dugme "Unesi Rezisera". Kreirani Reziser ce se prikazati u okviru ListBox-a sa leve strane. Napomena: Potrebno je proveriti da li Reziser vec postoji, koriscenjem Pretrage.</p>
</div> 

<img src="IMAGES\Kreiranje Rezisera.jpg">

<h2 id="naslov2"><b>3. Izmena podataka postojeceg Rezisera</b></2>

<div>
<p>Potrebno je otvoriti formu Reziseri koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Rezisera preuzeli i nakon toga izmenili sa desne strane u okviru forme. Nakon toga, potrebno je kliknuti na dugme "Izmeni Rezisera". Izmenjeni podaci Rezisera ce se prikazati u okviru ListBox-a sa leve strane.</p>
</div>

<img src="IMAGES\Izmena Rezisera.jpg">

<h2 id="naslov2"><b>4. Brisanje postojeceg Rezisera</b></2>

<div>
<p>Potrebno je otvoriti formu Reziseri koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Rezisera preuzeli. Nakon toga, potrebno je kliknuti na dugme "Izbrisi Rezisera". Napomena: Nakon brisanja Rezisera, za sve Filmove koje je rezirao, polje ime Rezisera dobice naziv "Nije Uneto".</p>
</div>

<img src="IMAGES\Brisanje Rezisera.jpg">

<h2 id="naslov2"><b>5. Pretraga Rezisera</b></2>

<div>
<p>Potrebno je otvoriti formu Reziseri koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti tekst/broj u odgovarajuci textBox. Nakon toga, potrebno je kliknuti na dugme "Pretrazi". Napomena: Parametri po kojima se moze izvrsiti Pretraga su ime Rezisera, prezime Rezisera, ime i prezime Rezisera, datum rodjenja Rezisera, po nagradi Oscar.</p>
</div>

<img src="IMAGES\Pretraga Rezisera.jpg">
<hr>


<h2 id="naslov2"><b>1. Pregled svih Zanrova</b></2>

<div>
<p>Potrebno je otvoriti formu Zanrovi koja se nalazi na Glavnoj formi. U okviru ListBox-a ce se prikazati svi Zanrovi.</p>
</div>

<img src="IMAGES\Pregled Zanrova.jpg">

<h2 id="naslov2"><b>2. Kreiranje novog Zanra</b></2> 
<div>
<p>Potrebno je otvoriti formu Zanrovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti Naziv Zanra. Nakon toga, potrebno je kliknuti na dugme "Unesi Zanr". Kreirani Zanr ce se prikazati u okviru ListBox-a sa leve strane. Napomena: Potrebno je proveriti da li Zanr vec postoji, koriscenjem Pretrage.</p>
</div> 

<img src="IMAGES\Kreiranje Zanra.jpg">

<h2 id="naslov2"><b>3. Izmena podataka postojeceg Zanra</b></2>

<div>
<p>Potrebno je otvoriti formu Zanrovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Zanra preuzeli i nakon toga izmenili sa desne strane u okviru forme. Nakon toga, potrebno je kliknuti na dugme "Izmeni Zanr". Izmenjeni podaci Zanra ce se prikazati u okviru ListBox-a sa leve strane.</p>
</div>

<img src="IMAGES\Izmena Zanra.jpg">

<h2 id="naslov2"><b>4. Brisanje postojeceg Zanra</b></2>

<div>
<p>Potrebno je otvoriti formu Zanrovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci Zanra preuzeli. Nakon toga, potrebno je kliknuti na dugme "Izbrisi Zanr". Napomena: Nakon brisanja Zanra, za sve Filmove koji pripadaju tom Zanru, polje Naziv Zanra dobice naziv "Nije Uneto".</p>
</div>

<img src="IMAGES\Brisanje Zanra.jpg">

<h2 id="naslov2"><b>5. Pretraga Zanra</b></2>

<div>
<p>Potrebno je otvoriti formu Zanrovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti tekst/broj u odgovarajuci textBox. Nakon toga, potrebno je kliknuti na dugme "Pretrazi". Napomena: Parametar po kojem se moze izvrsiti Pretraga je Naziv Zanra.</p>
</div>

<img src="IMAGES\Pretraga Zanra.jpg">

<hr>

<h2 id="naslov2"><b>1. Pregled svih Filmova</b></2>

<div>
<p>Potrebno je otvoriti formu Filmovi koja se nalazi na Glavnoj formi. U okviru ListBox-a ce se prikazati svi Filmovi.</p>
</div>

<img src="IMAGES\Pregled Filmova.jpg">

<h2 id="naslov2"><b>2. Kreiranje novog Filma</b></2> 
<div>
<p>Potrebno je otvoriti formu Filmovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti Naziv Filma, odabrati Zanr iz padajuce liste (comboBox), odabrati Rezisera iz padajuce liste (comboBox), uneti Godinu Objave Filma, uneti Trajanje Filma, uneti IMDB Ocenu, uneti Stanje Filma, uneti Kolicinu Filma, uneti Cenu Rezervacije Filma. Ukoliko je Film dobio Oscar nagradu, potrebno je stiklirati dugme "Film je dobio Oscar". Nakon toga, potrebno je kliknuti na dugme "Unesi Film". Kreirani Film ce se prikazati u okviru ListBox-a sa leve strane.
Napomena: Prilikom kreiranja novog Filma, Film dobija vrednost "Nije Uneto" za Ulogu i Glumca, neophodno je azurirati Ulogu u formi Uloge za kreirani Film gde mu dodajemo Naziv Uloge, Opis Uloge kao i dodeljujemo postojeceg ili naknadno kreiranog Glumca. Takodje, potrebno je proveriti da li Zanr i Reziser, za dati Film, postoje. Ukoliko ne postoje, neophodno je kreirati Rezisera i/ili Zanr.</p>
</div> 

<img src="IMAGES\Kreiranje Filma.jpg">

<h2 id="naslov2"><b>3. Izmena podataka postojeceg Filma</b></2>

<div>
<p>Potrebno je otvoriti formu Filmovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci o Filmu preuzeli i nakon toga izmenili sa desne strane u okviru forme. Nakon toga, potrebno je kliknuti na dugme "Izmeni Film". Izmenjeni podaci o Filmu ce se prikazati u okviru ListBox-a sa leve strane.</p>
</div>

<img src="IMAGES\Izmena Filma.jpg">

<h2 id="naslov2"><b>4. Brisanje postojeceg Filma</b></2>

<div>
<p>Potrebno je otvoriti formu Filmovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci o Filmu preuzeli. Nakon toga, potrebno je kliknuti na dugme "Izbrisi Film".</p>
</div>

<img src="IMAGES\Brisanje Filma.jpg">

<h2 id="naslov2"><b>5. Pretraga Filma</b></2>

<div>
<p>Potrebno je otvoriti formu Filmovi koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti tekst/broj u odgovarajuci textBox. Nakon toga, potrebno je kliknuti na dugme "Pretrazi". Napomena: Parametri po kojima se moze izvrsiti Pretraga su Naziv Filma, Godina Objave Filma, ime Glumca, prezime Glumca, ime i prezime Glumca, ime Rezisera, prezime Rezisera, ime i prezime Rezisera, Naziv Uloge, po nagradi Oscar.</p>
</div>

<img src="IMAGES\Pretraga Filma.jpg">

<hr>

<h2 id="naslov2"><b>1. Pregled svih Uloga</b></2>

<div>
<p>Potrebno je otvoriti formu Uloge koja se nalazi na Glavnoj formi. U okviru ListBox-a ce se prikazati sve Uloge.</p>
</div>

<img src="IMAGES\Pregled Uloga.jpg">

<h2 id="naslov2"><b>2. Kreiranje nove Uloge</b></2> 
<div>
<p>Potrebno je otvoriti formu Uloge koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti Naziv Uloge, uneti Opis Uloge, odabrati Naziv Filma iz padajuce liste (comboBox), odabrati Glumca iz padajuce liste (ComboBox). Nakon toga, potrebno je kliknuti na dugme "Unesi Ulogu". Kreirana Uloga ce se prikazati u okviru ListBox-a sa leve strane. Napomena: Potrebno je proveriti da li Uloga vec postoji, za dati Film, koriscenjem Pretrage.</p>
</div> 

<img src="IMAGES\Kreiranje Uloge.jpg">

<h2 id="naslov2"><b>3. Izmena podataka postojece Uloge</b></2>

<div>
<p>Potrebno je otvoriti formu Uloge koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci o Ulozi preuzeli i nakon toga izmenili sa desne strane u okviru forme. Nakon toga, potrebno je kliknuti na dugme "Izmeni Ulogu". Izmenjeni podaci o Ulozi ce se prikazati u okviru ListBox-a sa leve strane.</p>
</div>

<img src="IMAGES\Izmena Uloge.jpg">

<h2 id="naslov2"><b>4. Brisanje postojece Uloge</b></2>

<div>
<p>Potrebno je otvoriti formu Uloge koja se nalazi na Glavnoj formi. Nakon toga, potrebno je kliknuti na red u okviru ListBox-a kako bi se podaci o Ulozi preuzeli. Nakon toga, potrebno je kliknuti na dugme "Izbrisi Ulogu". Napomena: Nakon brisanja Uloge, za sve Filmove koji su imali tu ulogu, polje Naziv Uloge dobice naziv "Nije Uneto".</p>
</div>

<img src="IMAGES\Brisanje Uloge.jpg">

<h2 id="naslov2"><b>5. Pretraga Uloge</b></2>

<div>
<p>Potrebno je otvoriti formu Uloge koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti tekst/broj u odgovarajuci textBox. Nakon toga, potrebno je kliknuti na dugme "Pretrazi". Napomena: Parametar po kojem se moze izvrsiti Pretraga je Naziv Uloge.</p>
</div>

<img src="IMAGES\Pretraga Uloge.jpg">

<hr>


<h2 id="naslov2"><b>1. Pregled svih Rezervacija</b></2>

<div>
<p>Potrebno je otvoriti formu Rezervacije koja se nalazi na Glavnoj formi. U okviru ListBox-a ce se prikazati sve Rezervacije. Za detaljniji prikaz potrebno je selektovati odredjenu Rezervaciju iz listBox-a i kliknuti na dugme Detalji.</p>
</div>

<img src="IMAGES\Pregled Rezervacija.jpg">

<h2 id="naslov2"><b>2. Kreiranje nove Rezervacije</b></2> 
<div>
<p>Potrebno je otvoriti formu Rezervacije koja se nalazi na Glavnoj formi. Nakon toga, potrebno je odabrati Korisnika iz padajuce liste (comboBox), odabrati Naziv Filma iz padajuce liste (comboBox), uneti Datum uzimanja. Ukoliko Korisnik zeli dva filma onda na "+" dodajemo film, ukoliko se predomisli na "-" sklanjamo film i pravimo Rezervaciju ja jedan film. Nakon toga, potrebno je kliknuti na dugme "Unesi Rezervaciju". Kreirana Rezervacija ce se prikazati u okviru ListBox-a sa leve strane. Napomena: Potrebno je proveriti da li Korisnik i Film postoje, koriscenjem Pretrage.</p>
</div> 

<img src="IMAGES\Kreiranje Rezervacije.jpg">

<h2 id="naslov2"><b>3. Pretraga Rezervacije</b></2>

<div>
<p>Potrebno je otvoriti formu Rezervacije koja se nalazi na Glavnoj formi. Nakon toga, potrebno je uneti tekst u odgovarajuci textBox. Nakon toga, potrebno je kliknuti na dugme "Pretrazi". Napomena: Parametar po kojem se moze izvrsiti Pretraga je ime Korisnika, prezime Korisnika, ime i prezime Korisnika.</p>
</div>

<img src="IMAGES\Pretraga Rezervacije.jpg">


<h2 id="naslov2"><b>4. Vracanje Filma</b></2> 
<div>
<p>Potrebno je otvoriti formu Rezervacije koja se nalazi na Glavnoj formi. Nakon toga, potrebno je odabrati Rezervaciju koja se nalazi u ListBox-u i kliknuti na dugme Detalji. Otvorice se forma na kojoj ce se prikazati dugme Prikazi Detalje, klikom na to dugme dobijamo pregled svih Filmova (vracenih i nevracenih) za odabranu osobu. Selektovanjem Filma u okviru ListBox-a i klikom na dugme Vrati Film, Film ce uspesno biti vracen u nasu bazu.</p>
</div> 

<img src="IMAGES\Vracanje Filma.jpg">


</BODY>
</HTML>

